Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class FloatCollections

    java.lang.Object
      org.apache.commons.collections.primitives.FloatCollections

public final class FloatCollections
extends Object

This class consists exclusively of static methods that operate on or return FloatCollections.

The methods of this class all throw a NullPoFloaterException if the provided collection is null.

Version:
  $Revision: 1.1 $ $Date: 2003/10/29 20:07:54 $
Author:
  Rodney Waldhoff

Field Summary
`static FloatIterator` | `EMPTY_FLOAT_ITERATOR` An unmodifiable, empty FloatIterator
`static FloatList` | `EMPTY_FLOAT_LIST` An unmodifiable, empty FloatList
`static FloatListIterator` | `EMPTY_FLOAT_LIST_ITERATOR` An unmodifiable, empty FloatListIterator

Constructor Summary
`FloatCollections()`

Method Summary
`static FloatIterator` | `getEmptyFloatIterator()` Returns an unmodifiable, empty FloatIterator
`static FloatList` | `getEmptyFloatList()` Returns an unmodifiable, empty FloatList.
`static FloatListIterator` | `getEmptyFloatListIterator()` Returns an unmodifiable, empty FloatListIterator
`static FloatIterator` | `singletonFloatIterator(float value)` Returns an unmodifiable FloatIterator containing only the specified element.
`static FloatList` | `singletonFloatList(float value)` Returns an unmodifiable FloatList containing only the specified element.
`static FloatListIterator` | `singletonFloatListIterator(float value)` Returns an unmodifiable FloatListIterator containing only the specified element.
`static FloatIterator` | `unmodifiableFloatIterator(FloatIterator iter)` Returns an unmodifiable version of the given non-null FloatIterator.
`static FloatList` | `unmodifiableFloatList(FloatList list)` Returns an unmodifiable version of the given non-null FloatList.
`static FloatListIterator` | `unmodifiableFloatListIterator(FloatListIterator iter)` Returns an unmodifiable version of the given non-null FloatListIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_FLOAT_LIST

    public static final FloatList EMPTY_FLOAT_LIST

  An unmodifiable, empty FloatList

  See Also:
    `getEmptyFloatList()`

### EMPTY_FLOAT_ITERATOR

    public static final FloatIterator EMPTY_FLOAT_ITERATOR

  An unmodifiable, empty FloatIterator

  See Also:
    `getEmptyFloatIterator()`

### EMPTY_FLOAT_LIST_ITERATOR

    public static final FloatListIterator EMPTY_FLOAT_LIST_ITERATOR

  An unmodifiable, empty FloatListIterator

  See Also:
    `getEmptyFloatListIterator()`

Constructor Detail

### FloatCollections

    public FloatCollections()

Method Detail

### singletonFloatList

    public static FloatList singletonFloatList(float value)

  Returns an unmodifiable FloatList containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable FloatList containing only the specified element.

### singletonFloatIterator

    public static FloatIterator singletonFloatIterator(float value)

  Returns an unmodifiable FloatIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable FloatIterator containing only the specified element.

### singletonFloatListIterator

    public static FloatListIterator singletonFloatListIterator(float value)

  Returns an unmodifiable FloatListIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable FloatListIterator containing only the specified element.

### unmodifiableFloatList

    public static FloatList unmodifiableFloatList(FloatList list)
                                           throws NullPointerException

  Returns an unmodifiable version of the given non-null FloatList.

  Parameters:
    `list` - the non-null FloatList to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null FloatList
  Throws:
    `NullPoFloaterException` - if the given FloatList is null
    `NullPointerException`
  See Also:
    `UnmodifiableFloatList.wrap(org.apache.commons.collections.primitives.FloatList)`

### unmodifiableFloatIterator

    public static FloatIterator unmodifiableFloatIterator(FloatIterator iter)

  Returns an unmodifiable version of the given non-null FloatIterator.

  Parameters:
    `iter` - the non-null FloatIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null FloatIterator
  Throws:
    `NullPoFloaterException` - if the given FloatIterator is null
  See Also:
    `UnmodifiableFloatIterator.wrap(org.apache.commons.collections.primitives.FloatIterator)`

### unmodifiableFloatListIterator

    public static FloatListIterator unmodifiableFloatListIterator(FloatListIterator iter)

  Returns an unmodifiable version of the given non-null FloatListIterator.

  Parameters:
    `iter` - the non-null FloatListIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null FloatListIterator
  Throws:
    `NullPoFloaterException` - if the given FloatListIterator is null
  See Also:
    `UnmodifiableFloatListIterator.wrap(org.apache.commons.collections.primitives.FloatListIterator)`

### getEmptyFloatList

    public static FloatList getEmptyFloatList()

  Returns an unmodifiable, empty FloatList.

  Returns:
    an unmodifiable, empty FloatList.
  See Also:
    `EMPTY_FLOAT_LIST`

### getEmptyFloatIterator

    public static FloatIterator getEmptyFloatIterator()

  Returns an unmodifiable, empty FloatIterator

  Returns:
    an unmodifiable, empty FloatIterator.
  See Also:
    `EMPTY_FLOAT_ITERATOR`

### getEmptyFloatListIterator

    public static FloatListIterator getEmptyFloatListIterator()

  Returns an unmodifiable, empty FloatListIterator

  Returns:
    an unmodifiable, empty FloatListIterator.
  See Also:
    `EMPTY_FLOAT_LIST_ITERATOR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.